// pages/addUserCard/index.js
const app = getApp();
const commonUtil = require("../../utils/commonUtil.js");
Page({
	/**
	 * 页面的初始数据
	 */
	data: {},

	subCard: function (str, frontLen, endLen) {
		console.log(str);
		//str：要进行隐藏的变量  frontLen: 前面需要保留几位    endLen: 后面需要保留几位
		var len = str.length - frontLen - endLen;
		var xing = "";
		for (var i = 0; i != len; i++) {
			xing += "*";
		}
		let res = str.substring(0, frontLen) + xing + str.substring(str.length - endLen);
		console.log(res);
		return res;
	},
	/**
	 * 生命周期函数--监听页面显示
	 */
	onShow: function () {
		//登录=================================start
		if (app.globalData.isLogin) {
			this.setData({
				isLogin: app.globalData.isLogin,
				user: app.globalData.user,
				card: this.subCard(app.globalData.user.idcard, 1, 1),
				healthTime: commonUtil.formatDateYMD(app.globalData.user.healthTime),
			});
		} else {
			// 由于 userLogin 是网络请求，可能会在 Page.onLoad 之后才返回
			// 所以此处加入 callback 以防止这种情况
			app.userLoginCallback = (res) => {
				this.setData({
					isLogin: app.globalData.isLogin,
					user: app.globalData.user,
					card: this.subCard(app.globalData.user.idcard, 1, 1),
					healthTime: commonUtil.formatDateYMD(app.globalData.user.healthTime),
				});
			};
		}
	},
	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function (options) {},

	/**
	 * 生命周期函数--监听页面初次渲染完成
	 */
	onReady: function () {},

	/**
	 * 生命周期函数--监听页面隐藏
	 */
	onHide: function () {},

	/**
	 * 生命周期函数--监听页面卸载
	 */
	onUnload: function () {},

	/**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
	onPullDownRefresh: function () {},

	/**
	 * 页面上拉触底事件的处理函数
	 */
	onReachBottom: function () {},

	/**
	 * 用户点击右上角分享
	 */
	onShareAppMessage1: function () {},
});
